alias hosts="sudo nvim /etc/hosts"

alias vi=nvim
alias vim=nvim

alias kid3=kid3-qt

alias grevert="git checkout --"
alias gst='git status -s'
alias gp='git push'
alias gd='git diff'
alias gup='git pull --rebase'
alias gwch='git log -p --ext-diff'

alias wine32="WINEARCH=win32 WINEPREFIX=$HOME/.wine32 wine"

alias lg=lazygit

alias scur='systemctl --user restart'
alias scus='systemctl --user stop'
alias scust='systemctl --user status'
alias slog='journalctl --user -u'

alias ls='ls --color=tty --hyperlink=auto'
alias l='ls -lh'
alias la='l -a'

alias grep='grep --color=auto'

alias ip='ip --color=auto'

alias _=sudo

# make rg and fd trustworthy
alias rg='rg --no-ignore'
alias fd='fd -HI'

alias -g ...='../..'
alias -g ....='../../..'
alias -g .....='../../../..'
alias -g ......='../../../../..'

[[ -n $KITTY_PID ]] && alias ssh='kitten ssh'

# alias podr='podman run -it --rm -e http_proxy=http://172.17.1.233:3128'
# alias podrs='podman run -it --rm -e http_proxy=http://172.17.1.233:3128 --entrypoint /bin/sh'
alias podr='podman run  -it --rm'
alias podrs='podman run -it --rm --entrypoint /bin/sh'

alias ffprobe='ffprobe -hide_banner'
alias ffmpeg='ffmpeg -hide_banner'
alias ffplay='ffplay -hide_banner'

alias kubegen='kubectl create --dry-run=client -oyaml'
alias k=kubectl
alias kg='kubectl get'
alias kctx='kubectl config use-context'
